Skip to main content
`Ctrl`+`K`

# LMEMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEMonitorSetFromOptions(LME lme,const char opt[],const char name[],PetscCtx ctx)

Collective

## Input Parameters

- lme - the linear matrix equation solver context

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - an optional user context for the monitor, or `NULL`

## See Also

LME: Linear Matrix Equation, `LMEMonitorSet()`

## Level

developer

## Location

src/lme/interface/lmeopts.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages